/
/ get date & time in ascii
/

	.globl	stime,_dat,_tim,__csav,__cret

/
/ stime(b,s,i);
/ int b[8];	/* Filled like a get time */
/ char *s;	/* filled like call to $dat then call to $tim */
/ int i;	/* format of tim as in $tim call */
/ return *s stuffed with "dd-mmm-yy hh':mm:ss:t'" <' ' area optional>
/

stime:
	jsr	r0,__csav

	mov	12(r5),-(sp)
	mov	(pc)+,-(sp)
	.byte	61.,2		/GTIM$
	emt	377
	bcs	0f
	clr	r0
	br	1f
0:
	mov	$-1,r0
	jmp	__cret
1:
	mov	14(r5),r0	/ point to output string
	mov	12(r5),r1	/ point to year,month,day
	call	_dat		/ get the date in ascii
	mov	16(r5),r2	/ set format of time
	movb	$40,(r0)+	/ seperate dat & tim with spave
	call	_tim		/ get the time
				/ returns pointer to next char in output string
	jmp	__cret
